using System;
using System.Drawing;
using System.Windows.Forms;

public class GraphControl: Control
{
	private Point [] points =null;
	const int edge=300;
	internal virtual void DoPaint(Object sender, PaintEventArgs e)
	{
		if(!Visible) return;
		Graphics graphics = e.Graphics;

		using(Pen pen=new Pen(Color.FromArgb(0xC0,0xC0,0xC0), 0.5f))
		{
			for(int i=0;i<edge;i+=(edge/10))
			{
				graphics.DrawLine(pen, 0, i, edge, i);
				graphics.DrawLine(pen, i, 0, i, edge);
			}
		}

		using(Pen pen=new Pen(Color.Black, 1.0f))
		{
			graphics.DrawLine(pen,0,edge,edge,edge);
			graphics.DrawLine(pen,edge,edge,edge,0);
		}
		
		using(Pen pen=new Pen(Color.Red, 2.0f))
		{
			for(int i=1;i<points.Length;i++)
			{
				graphics.DrawLine(pen,points[i-1],points[i]);
			}
		}
	}

	protected override Size DefaultSize
	{
		get
		{
			return new Size(320, 320);
		}
	}

	public GraphControl(GraphItem[] dataset,int left,int top,int right, int bottom) : base("GraphControl",left,top,right,bottom)
	{
		this.Paint += new PaintEventHandler(this.DoPaint);
		CreateHandle();
		this.points=new Point[dataset.Length];
		for(int i=0;i<dataset.Length;i++)
		{
			points[i].X=(dataset[i].X * (edge/100));
			points[i].Y=edge-(dataset[i].Y * (edge/100));
		}
	}
}
